mise a jour impossible

Problèmes et questions concernant les éditions Fluxbox - LXDE - LXQT - Netbook.

mise a jour impossible

Message par dubifree » 16 Jan 2017, 21:47

Bonsoir
je suis tout nouveau sur manjaro qui est ma première expérience en dehors de debian depuis ses débuts ou ubuntu pareil.
Cette découverte m'a très agréablment surpris bien que je ne sois pas à l'aise avec. Pourtant, je l'ai bien installé sur mon portable pour le travail.

Depuis un moment, il m'est impossible d'installer ou de faire une mise à jour.
Que ce soit avec le terminal ou le gestionnaire, une terrible incantation apparaît :
"" pacman: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory ""

Please, help me
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par papajoke » 16 Jan 2017, 22:32

bonjour et bienvenue

perso, j'ai bien ce fichier, pour vérifier :
Code : Tout sélectionner
pacman -Ql | grep libicuuc.so.58
    icu /usr/lib/libicuuc.so.58
    icu /usr/lib/libicuuc.so.58.2

Code : Tout sélectionner
pacman -Q icu
    icu 58.2-1

As-tu le paquet icu d'installé ? tu es bien en stable ? (sinon tu as une autre version?)

Il faudrait que tu nous donne exactement la commande que tu tapes pacman -Syu ? et a quel moment tu as cette erreur ?
Manjaro STABLE - Linux 4.9/3.18 - zsh - Kde5/Cinnamon - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau - DD en MBR
portable Manjaro TESTING - zsh - XFCE - AMD V140 - 2Go RAM - ATI Radeon HD 4200
#mount /dev/archlinux /mnt/manjaro
Avatar de l’utilisateur
papajoke
Modérateur
 
Message(s) : 4372
Inscription : 02 Avr 2013, 18:25
Localisation : Nevers

Re: mise a jour impossible

Message par dubifree » 16 Jan 2017, 23:09

bonsoir papajoke.
Je suis en stable.
Je tape : sudo pacman -Syu qui me donne directement la réponse.
AInsi que quand je tape "" pacman -Q icu "" ainsi que """ pacman -Ql | grep libicuuc.so.58"""
j'ai la même réponse.
Là je suis sous LXDE qui fonctionne alors que sous gnome cela ne fonctionnait plus.
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par papajoke » 16 Jan 2017, 23:10

que te donne le retour de
Code : Tout sélectionner
ls -l /usr/lib/libicuuc.so*

il semble que pacman ai absolument besoin de cette bibliothèque et qu'elle n'est pas a jour chez toi. Donc tu n'as plus de pacman :cartonrouge:

Tu as peut être un fichier /usr/lib/libicuuc.so.58.1 et en désespoir de cause, le re-copier avec la bonne terminaison :saispas:

Quelle iso as-tu utilisé pour ton installation ?

edit: tu n'es pas le seul a avoir ce problème, il y a un même cas à l'inter
Manjaro STABLE - Linux 4.9/3.18 - zsh - Kde5/Cinnamon - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau - DD en MBR
portable Manjaro TESTING - zsh - XFCE - AMD V140 - 2Go RAM - ATI Radeon HD 4200
#mount /dev/archlinux /mnt/manjaro
Avatar de l’utilisateur
papajoke
Modérateur
 
Message(s) : 4372
Inscription : 02 Avr 2013, 18:25
Localisation : Nevers

Re: mise a jour impossible

Message par dubifree » 16 Jan 2017, 23:12

Et la réponse est la même quand je cherche à installer libicuuc.so.58
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par dubifree » 16 Jan 2017, 23:24

ls -l /usr/lib/libicuuc.so*
lrwxrwxrwx 1 root root 16 2 avril 2016 /usr/lib/libicuuc.so -> libicuuc.so.57.1
lrwxrwxrwx 1 root root 16 2 avril 2016 /usr/lib/libicuuc.so.57 -> libicuuc.so.57.1
-rwxr-xr-x 1 root root 1727160 2 avril 2016 /usr/lib/libicuuc.so.57.1
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par dubifree » 16 Jan 2017, 23:30

je viens de lire l'inter ( je ne sais pas ce que c'est ) mais je ne comprends pas l'anglais et ne connais pas les commandes de manjaro.
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par papajoke » 16 Jan 2017, 23:30

donc tu peux tenter :
Code : Tout sélectionner
sudo cp /usr/lib/libicuuc.so.58.1 /usr/lib/libicuuc.so.58.2
sudo pacman -S icu --force


ps: rien a lire a l'inter car le monsieur ne m'a pas répondu, donc pour l'instant il est bloqué :siffle

Image
Manjaro STABLE - Linux 4.9/3.18 - zsh - Kde5/Cinnamon - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau - DD en MBR
portable Manjaro TESTING - zsh - XFCE - AMD V140 - 2Go RAM - ATI Radeon HD 4200
#mount /dev/archlinux /mnt/manjaro
Avatar de l’utilisateur
papajoke
Modérateur
 
Message(s) : 4372
Inscription : 02 Avr 2013, 18:25
Localisation : Nevers

Re: mise a jour impossible

Message par dubifree » 16 Jan 2017, 23:59

bien tenté mais
Code : Tout sélectionner
sudo cp /usr/lib/libicuuc.so.58.1 /usr/lib/libicuuc.so.58.2
donne
Code : Tout sélectionner
pacman: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory
ce qui semble logique car je n'ai que libicuuc.so.57.1 et je ne sais pas installer libicuuc.so.58.2

en tout cas merci beaucoup pour ton aide.
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27

Re: mise a jour impossible

Message par papajoke » 17 Jan 2017, 00:05

A l'inter j'avais demandé de forcer en langue anglaise , ce qui peut-être alors ne charge pas icu ? a tester ...
Code : Tout sélectionner
LANG=C pacman -S icu


-------------------

désolé j'avais mal lu ton code tu as la très vielle version 57.1 et non la 58.1 :choc:
Code : Tout sélectionner
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58.2
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58


Avec quelle iso as tu installé manjaro ? il doit être trop vieux ?
Manjaro STABLE - Linux 4.9/3.18 - zsh - Kde5/Cinnamon - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau - DD en MBR
portable Manjaro TESTING - zsh - XFCE - AMD V140 - 2Go RAM - ATI Radeon HD 4200
#mount /dev/archlinux /mnt/manjaro
Avatar de l’utilisateur
papajoke
Modérateur
 
Message(s) : 4372
Inscription : 02 Avr 2013, 18:25
Localisation : Nevers

Re: mise a jour impossible

Message par dubifree » 17 Jan 2017, 15:10

le retour :)

Je ne suis pas sur manjaro actuellement et pas avant ce soir tard au mieux . Et je risque d'être sans internet durant quelques jours ensuite.

Tu es tout excusé de ne pas avoir vu ...
J'ai installé je crois me souvenir avec la version net installe il y a si longtemps que je ne m'en souviens plus.
Et j'ai gardé mon /home qui était sous ubuntu mais cela fonctionnait à merveille du moment que je cliquais sur le raccourci en lien avec manjaro - des fois que je fasse machine arrière ...

J'ai mis en stable et manjaro a fonctionné à merveille et bien plus rapide que mon ubuntu .

Dès que je touche à manjaro je fais
Code : Tout sélectionner
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58.2
sudo cp /usr/lib/libicuuc.so.57.1 /usr/lib/libicuuc.so.58
ainsi que tu me le proposes et je te donne le résultat.

Merci à toi.
dubifree
 
Message(s) : 7
Inscription : 16 Jan 2017, 21:27


Retour vers Support pour les éditions Fluxbox - LXDE - LXQT - Netbook

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 2 invité(s)